%define theirname Params-Validate

Summary:	Perl modules for validation method/function call parameters
Name:		perl-%{theirname}
Version:	0.65
Release:	1mdk
Source:		%{theirname}-%{version}.tar.bz2
License:	GPL or Artistic
Group:		Development/Other
URL:		http://cpan.valueclick.com/modules/by-authors/id/D/DR/DROLSKY/
BuildRequires:	perl-devel >= 5.8.0
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The Params::Validate module provides a flexible system for validation
method/function call parameters.

The validation can be as simple as checking for the presence of required
parameters or as complex as validating object classes (via isa) or capabilities
(via can), checking parameter types, and using customized callbacks to ensure
data integrity.

%prep

%setup -q -n %{theirname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}

%make 	

%install
rm -fr $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -fr $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README Changes MANIFEST
%{_mandir}/*/*
%{perl_vendorarch}/*


%changelog
* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 0.65-1mdk
- 0.65.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.58-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 0.58-1mdk
- 0.58.

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.51-1mdk
- cleaned %%install section.
- muted to binary package.
- 0.51.

* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.22-2mdk
- fix requires

* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.22-1mdk
- 0.22

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 0.07-1mdk
- 0.07.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.04-3mdk
- BuildRequires: perl-devel

* Wed Jun 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.04-2mdk
- Allow build on non ix86 architectures
- bzip2 sources

* Thu Apr 26 2001 Florin Grad <florin@mandrakesoft.com> 0.04-1mdk
- first attempt
